Mailinglist Archive: opensuse-factory (562 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170124 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170124

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
aria2 (1.30.0 -> 1.31.0)
device-mapper
dracut
glyr (1.0.9 -> 1.0.10)
installation-images (14.293 -> 14.296)
libdc1394 (2.2.4 -> 2.2.5)
libgme
libindi (1.2.0 -> 1.3.1)
libnl3 (3.2.28 -> 3.2.29)
llvm3_9
lvm2
mcelog (1.46 -> 1.47)
mosh
obs-service-source_validator (0.6+git20160707.a6ff89d ->
0.6+git20170111.82ea590)
opus
viewvc (1.1.24 -> 1.1.25)
vim (8.0.172 -> 8.0.194)
whois (5.2.13 -> 5.2.14)
wxWidgets-3_0
xf86-video-chips (1.2.6 -> 1.2.7)
xf86-video-glint (1.2.8 -> 1.2.9)
xf86-video-mga (1.6.4 -> 1.6.5)
xf86-video-savage (2.3.8 -> 2.3.9)
xf86-video-siliconmotion (1.7.8 -> 1.7.9)
xf86-video-sisusb (0.9.6 -> 0.9.7)
xf86-video-tdfx (1.4.6 -> 1.4.7)

=== Details ===

==== aria2 ====
Version update (1.30.0 -> 1.31.0)
Subpackages: aria2-lang libaria2-0

- Version bump to 1.31.0
* Better error message when local file status cannot be retrieved
* Fix assertion failure in SimpleRandomizer::getRandomBytes
* Add option content-disposition-default-utf8

==== device-mapper ====
Subpackages: libdevmapper-event1_03 libdevmapper1_03 libdevmapper1_03-32bit

- add a new test package named lvm2-testsuite bnc#950089
* lvm2-testsuite.patch

==== dracut ====

- Add md4 and arc4 modules for ntlm authentication
* add 0454-Add-md4-and-arc4-modules-for-ntlm.patch
- Resolve symbolic links for -i and -k parameters (bsc#902375)
* add 0453-Resolve-symbolic-links-for-i-and-k-parameters-bsc-90.patch

==== glyr ====
Version update (1.0.9 -> 1.0.10)

- Update to 1.0.10.
* Changed License to LGPLv3 (from GPLv3).
* Fix lyricswiki provider.
* Fix typos.

==== installation-images ====
Version update (14.293 -> 14.296)

- remove xf86-video-vmware (bsc#1020649)
- drop glibc-32bit dependencies
- 14.296
- rename remaining bits from CASP to CAASP
- 14.295
- use TEST_ARCH also in mlist2 script
- sanitize s390x module config
- 14.294

==== libdc1394 ====
Version update (2.2.4 -> 2.2.5)

- Update to 2.2.5:
- Minor thread-safety improvements

==== libgme ====

- Apply "cve-2016-9957.patch" to fix an arbitrary code execution
vulnerability that could have been exploited using specially
crafted SPC music files. [CVE-2016-9957, CVE-2016-9958,
CVE-2016-9959, CVE-2016-9960, CVE-2016-9961, bsc#1015941]

==== libindi ====
Version update (1.2.0 -> 1.3.1)
Subpackages: libindi-devel libindi1 libindiAlignmentDriver1 libindidriver1

- Update to version 1.3.1:
* Support for Optec IFW Filter Wheel.
* Added new method in base client getBLOBMode to retrieve
previously set BLOB mode for a device/property pair.
* QHY driver use software binning by default for all cameras.
* Minor bug fixes and improvements across all drivers.
From version 1.3.0:
* Support for Shelyak eShel spectrograph.
* Support for NStep focuser.
* Support for ASI Filter Wheel.
* Support for OneStep Telescope Controller.
* Support for Moravian CCD driver.
* Support for GigE machine vision cameras.
* Experimental SSAG CCD driver.
* Adding support for fast BLOB with ENCLEN. With Fast blob mode
enabled, blob performance is now significantly faster.
* FITS Min/Max calculations are disabled by default to save
processing time unless explicitly enabled by the user at
compile time.
* Qt5 based client class is added to enable multiplatform client
development.
* New significantly faster base64 encoding/decoding routines.
* Selectable alignment modes for INDI EQMod that includes
built-in EQMod alignment and INDI Alignment Subsystem.
* CCD sequence queue number is no longer limited to 999.
* More Starlight Xpress CCDs cameras supported.
* Updated Starlight Xpress Adaptive Optics driver.
* Updated Temma Takahashi mount driver.
* Updated Apogee CCD driver.
* Updated QHY CCD driver with numerous fixes.
* Updated FLI CCD driver.
* Updated Pulasr2 driver.
* Updated ASI CCD with support for arm64 architecture, 1600 model
and a lot more.
* Significant improvements to GPhoto driver including better
support for Nikon DSLRs.
* Improved GPSd driver.
* New CCD_FILE_PATH property to indicate remote file path.
* New TELESCOPE_PIER_SIDE property.
* Dome & Telescope Scripting Gateway added.
* Added support for servos in Indiduino
* Fix BuiltinMathPlugin crash for Southern Hemisphere
* Add scope park aware feature to the rolloff roof simulator
* INDI Logs are now stored under ~/.indi/logs and arranged by
date and time per driver.
- Removed support for openSUSE < 11.4.
- Added new build requirement Qt5Network.
- Removed libindi-implicit-pointer-decl.patch (fixed upstream).
- Adjust no-return-in-nonvoid-function.patch for this release
(patch upstream).
- Starting with release 1.3 INDI ships libindi and 3rdparty stuff
(drivers and external libraries, not necessary for libindi) in
one big tar archive. The 3rdparty stuff cannot be installed
without libindi already installed.
Added a script "libindi-generate-tarball.sh" to generate a clean
tarball containing only the library (based on one from Fedora).

==== libnl3 ====
Version update (3.2.28 -> 3.2.29)
Subpackages: libnl-config libnl3-200 libnl3-200-32bit

- Add nla-reserve.diff [boo#1020123]
- Update to new upstream release 3.2.29
* nl-addr: avoid read-out-of-bound in nl_addr_fill_sockaddr()
* lib: add utility function nl_strerror_l()
* lib/route: allow override of message type during link change
* lib/route: set IFLA_PROTINFO attribute in request message
* lib/route: Add port state translation functions
* lib/route: Extend Bridge Flags
* lib/route: Allow override of IFLA_AF_SPEC nesting
* lib/route: Support IFLA_BRIDGE_MODE
* macvlan: add support for "source" mode
* macvlan: adjust types and merge MACVLAN_HAS_MACCOUNT and
MACVLAN_HAS_MACDATA
* vxlan: add support for additional VXLAN attributes
* lib/route: SRIOV Parse, Read, Clone support
* Add PPP support
* route/act: add gact tc action
* link: add support for IFLA_CARRIER_CHANGES, IFLA_PHYS_PORT_NAME,
IFLA_PHYS_SWITCH_ID, IFLA_GSO_MAX_SEGS and IFLA_GSO_MAX_SIZE

==== llvm3_9 ====

- Add amdgpu_revert_r280589.patch to fix an amdgpu regression
bsc#1021577

==== lvm2 ====
Subpackages: liblvm2app2_2 liblvm2cmd2_02

- add a new test package named lvm2-testsuite bnc#950089
* lvm2-testsuite.patch

==== mcelog ====
Version update (1.46 -> 1.47)

- Version update to 1.47 (fate#321308, fate#320907):
* Fix PDF links
* Fix confusing error message

==== mosh ====

- Enable tests
- Small package cleanup

==== obs-service-source_validator ====
Version update (0.6+git20160707.a6ff89d -> 0.6+git20170111.82ea590)

- Update to version 0.6+git20170111.82ea590:
* accept reproducable CI source builds
* accept .obsinfo and .obscpio archives
* accept further modes of services
- Update to version 0.6+git20161207.70e9d99:
* 20-files-present-and-referenced fix case where rpmbuild emits a warning but
the specfile does not list sources or patches (bnc#1013981)

==== opus ====

- Fix CVE-2017-0381 (boo#1020102), opus: remote code execution
vulnerability in silk/NLSF_stabilize.c.
- Add opus-NLSF-not-negative.patch: Ensure that NLSF cannot be
negative when computing a min distance between them.

==== viewvc ====
Version update (1.1.24 -> 1.1.25)

- vievwc 1.1.25:
* fix _rev2optrev assertion on long input
- license is BSD-2-Clause, package LICENSE text

==== vim ====
Version update (8.0.172 -> 8.0.194)
Subpackages: gvim vim-data

- Add missing %changelog to spec.skeleton
- Updated to revision 194, fixes the following problems
* When compiling with EBCDIC defined the build fails. (Yaroslav Kuzmin)
* For completion "locale -a" is executed on MS-Windows, even though it
most likely won't work.
* Setting language in gvim on MS-Windows does not work when libintl.dll
is dynamically linked with msvcrt.dll.
* Using :change in between :function and :endfunction fails.
* When opening a buffer on a directory and inside a try/catch then the
BufEnter event is not triggered.
* test_command_count may fail when a previous test interferes, seen on
MS-Windows.
* 'formatprg' is a global option but the value may depend on the type of
buffer. (Sung Pae)
* Error E937 is used both for duplicate key in JSON and for trying to
delete a buffer that is in use.
* When 'cursorbind' and 'cursorcolumn' are both on, the column highlignt
in non-current windows is wrong.
* When 'cursorbind' and 'cursorline' are set, but 'cursorcolumn' is not,
then the cursor line highlighting is not updated. (Hirohito Higashi)
* Ubsan warns for using a pointer that is not aligned.
* When in Ex mode and an error is caught by try-catch, Vim still exits
with a non-zero exit code.
* The system() test fails on MS-Windows.
* The error message from assert_notequal() is confusing.
* Building with a new Ruby version fails.
* Using NOT_VALID for redraw_later() to update the cursor line/column
highlighting is not efficient.
* There are no tests for the :profile command.
* Detecting duplicate tags uses a slow linear search.
* Some systems do not have ruby_sysinit(), causing the build to fail.
* Build fails with tiny features.
* Accidentally removed #ifdef.
* Profile tests fails if total and self time are equal.

==== whois ====
Version update (5.2.13 -> 5.2.14)

- whois 5.2.14:
* Updated the .ar, .bm and .fm TLD servers.
* Updated the Afilias hiding string to fix hiding for the new .bm
server.

==== wxWidgets-3_0 ====
Subpackages: libwx_baseu-suse1 libwx_baseu_net-suse1 libwx_baseu_xml-suse1
libwx_gtk2u_adv-suse1 libwx_gtk2u_aui-suse1 libwx_gtk2u_core-suse1
libwx_gtk2u_gl-suse1 libwx_gtk2u_html-suse1 libwx_gtk2u_media-suse1
libwx_gtk2u_propgrid-suse1 libwx_gtk2u_qa-suse1 libwx_gtk2u_richtext-suse1
libwx_gtk2u_stc-suse1 libwx_gtk2u_webview-suse1 libwx_gtk2u_xrc-suse1

- Add relax-abi.diff

==== xf86-video-chips ====
Version update (1.2.6 -> 1.2.7)

- update to release 1.2.7
* Adapt Block/WakeupHandler signature for ABI 23
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

==== xf86-video-glint ====
Version update (1.2.8 -> 1.2.9)

- Update to version 1.2.9:
* Remove mibstore.h
* Pass the pci device through to fbdevHWInit
* Adapt Block/WakeupHandler signature for ABI 23
* Fix I2C for DDC2.
- supersedes U_Remove-mibstore.h.patch,
U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

==== xf86-video-mga ====
Version update (1.6.4 -> 1.6.5)

- Update to version 1.6.5
* Enable write-combining on the framebuffer BAR
* Adapt Block/WakeupHandler signature for ABI 23
* Remove DownloadFromScreen
* Composite fixup
* Add support for a new G200eW3 chipset
* Add support for the new G200e chipset -- V2
* MGA DDX: make it possible to find EXA support
* Use correct type in function call.
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
- supersedes u_Fix-crash-when-EXA-accel-mode-is-enabled.patch

==== xf86-video-savage ====
Version update (2.3.8 -> 2.3.9)

- Update to version 2.3.9:
* Adapt Block/WakeupHandler signature for ABI 23
* Disable tiling on SuperSavage by default
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch,
u_Disable-tiling-on-SuperSavage-Novell-Bugzilla-805380.patch

==== xf86-video-siliconmotion ====
Version update (1.7.8 -> 1.7.9)

- Update to version 1.7.9
* Adapt Block/WakeupHandler signature for ABI 23
* Check for drawables before compositing
* Use X11/Xarch.h for endian detection.

==== xf86-video-sisusb ====
Version update (0.9.6 -> 0.9.7)

- Update to version 0.9.7
* Remove mibstore.h
* Adapt Block/WakeupHandler signature for ABI 23
- supersedes U_Remove-mibstore.h.patch,
u_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

==== xf86-video-tdfx ====
Version update (1.4.6 -> 1.4.7)

- Update to version 1.4.6
* Adapt Block/WakeupHandler signature for ABI 23
- supersedes U_Adapt-Block-WakeupHandler-signature-for-ABI-23.patch

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages